#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QLineEdit>
#include <QTimer>
#include <QtGui>

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:

    QDialog *setDialog;
    int Interval_msec;
    int email_min;
    int email_time;
    bool emailFlag;

    QLineEdit *timeInt;
    QLineEdit *mailInt;
    double miT;
    QLineEdit *minTemp;
    double maT;
    QLineEdit *maxTemp;
    double miH;
    QLineEdit *minHum;
    double maH;
    QLineEdit *maxHum;

    bool shutDownEnable;
    QRadioButton *shutDown;
    QLineEdit *serverEmail;
    QLineEdit *portEmail;
    QString serverV;
    int portV;
    QString subV;
    QString mailV;
    QLineEdit *toEmail;
    QString toV;
    QLineEdit *fromEmail;
    QString fromV;
    QLineEdit *userName;
    QString userNameV;
    QLineEdit *password;
    QString passwordV;

    QLineEdit *subject;
    QTextEdit *emailText;
    QString fileName;
    QPushButton *stop;
    QPushButton *log;
    bool logEnable;
    int fd;
    QLineEdit *t;
    QLineEdit *h;
    QLineEdit *tMin;
    QLineEdit *hMin;
    QLineEdit *tMax;
    QLineEdit *hMax;

    QTimer *time;
    QTimer *time2;
    int index;
    int start_index;
    double temp[100];
    double temp_avg;
    double hum_avg;
    double hum[100];
    double timeA[100];

    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
public slots:
    void sendTestEmail();
    void ShowSettings();
    void shutDownCall(bool enable);
    void SaveSettings();
    void Settings();
    void EnableLog();
    double getTemperature();
    double getHumidity();
    void stopTimer();
    void email(); 
    void logData();
    void timerTest();
    void timerTest2();
};

#endif // MAINWINDOW_H
